<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonDccClkFreqRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonDccClkFreqRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which RadarSS sends to the host, containing information about the relative frequency measurements. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_DCC_CLK_FREQ_REPORT.  
 <a href="structrl_mon_dcc_clk_freq_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a986dae9bd082c81fe27b28beb6507d6b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a986dae9bd082c81fe27b28beb6507d6b"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_dcc_clk_freq_rep__t.html#a986dae9bd082c81fe27b28beb6507d6b">statusFlags</a></td></tr>
<tr class="memdesc:a986dae9bd082c81fe27b28beb6507d6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding to various threshold <br />
 checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 0 STATUS_CLK_PAIR0 <br />
 1 STATUS_CLK_PAIR1 <br />
 2 STATUS_CLK_PAIR2 <br />
 3 STATUS_CLK_PAIR3 <br />
 4 STATUS_CLK_PAIR4 <br />
 5 STATUS_CLK_PAIR5 <br />
 15:6 RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:a986dae9bd082c81fe27b28beb6507d6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7889ae7eb1fd9565bfd95acae70c0942"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7889ae7eb1fd9565bfd95acae70c0942"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_dcc_clk_freq_rep__t.html#a7889ae7eb1fd9565bfd95acae70c0942">errorCode</a></td></tr>
<tr class="memdesc:a7889ae7eb1fd9565bfd95acae70c0942"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:a7889ae7eb1fd9565bfd95acae70c0942"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd01c2dbf0b77e5ab5b84ef1563c32ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd01c2dbf0b77e5ab5b84ef1563c32ca"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_dcc_clk_freq_rep__t.html#acd01c2dbf0b77e5ab5b84ef1563c32ca">freqMeasVal</a> [8U]</td></tr>
<tr class="memdesc:acd01c2dbf0b77e5ab5b84ef1563c32ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">The measured clock frequencies from the enabled clock pair measurements are <br />
 reported here.Byte numbers corresponding to different frequency measurement <br />
 values reported in this field are here: <br />
 Bytes CLOCK PAIR MEASURED CLOCK FREQUENCY <br />
 1:0 0 BSS_600M <br />
 3:2 1 BSS_200M <br />
 5:4 2 BSS_100M <br />
 7:6 3 GPADC_10M <br />
 9:8 4 RCOSC_10M <br />
 11:10 5 RAMPGEN_100M <br />
 15:12q RESERVED RESERVED <br />
 1 LSB = 0.1 MHz, unsigned number <br />
. <br /></td></tr>
<tr class="separator:acd01c2dbf0b77e5ab5b84ef1563c32ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7f20056066b220faef2f962bbaa06c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7f20056066b220faef2f962bbaa06c6"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_dcc_clk_freq_rep__t.html#ac7f20056066b220faef2f962bbaa06c6">reserved0</a></td></tr>
<tr class="memdesc:ac7f20056066b220faef2f962bbaa06c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:ac7f20056066b220faef2f962bbaa06c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade39d274c595838dd5da89787bb704cf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade39d274c595838dd5da89787bb704cf"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_dcc_clk_freq_rep__t.html#ade39d274c595838dd5da89787bb704cf">timeStamp</a></td></tr>
<tr class="memdesc:ade39d274c595838dd5da89787bb704cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon exceeding allotted bit <br />
 width) <br />
. <br /></td></tr>
<tr class="separator:ade39d274c595838dd5da89787bb704cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which RadarSS sends to the host, containing information about the relative frequency measurements. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_DCC_CLK_FREQ_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
